# Class: SkinFile

## SkinFile

#### new SkinFile($input [, userOptions])

  Skin an HTML input file element.

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `$input` | HTMLElement |  |

  `userOptions`

  Object

  <optional>

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `selector` | String | <optional> | ".file-skin" |
  `wrap` | String | <optional> | <div class="file-skin"></div> |
  `fileInfoSelector` | String | <optional> | ".file-info" |
  `fileInfo` | String | <optional> | <div class="file-info"></div> |
  `autoHideFileInfo` | Boolean | <optional> | true |
  `resetButtonSelector` | String | <optional> | ".file-reset" |
  `resetButton` | String | <optional> | <span class="file-reset">&times;</span> |
  `disabledClass` | String | <optional> | disabled |
  `invalidClass` | String | <optional> | invalid |
  `selectedClass` | String | <optional> | selected |

### Methods

#### disable()

  Force the select to be disable

#### enable()

  Force the select to be enable

#### setInvalid()

  Force the state of the select to invalid

#### setValid()

  Force the state of the select to valid

#### Search results